# Class: YARD::Handlers::C::ClassHandler

Inherits:
  Base
  - Object
  - Handlers::Base
  - Base
  - YARD::Handlers::C::ClassHandler
  show all

Defined in:
  lib/yard/handlers/c/class_handler.rb

## Overview

Since:

- 0.8.0

## Constant Summary collapse

MATCH1 =

Since:

- 0.8.0

      /([\w\.]+)\s* = \s*(?:rb_define_class|boot_defclass)\s*
      \(
         \s*"([\w:]+)",
         \s*(\w+|0)\s*
      \)/mx

MATCH2 =

Since:

- 0.8.0

      /([\w\.]+)\s* = \s*rb_define_class_under\s*
      \(
         \s*(\w+),
         \s*"(\w+)"(?:,
         \s*([\w\*\s\(\)\.\->]+)\s*)?  # for SWIG
      \s*\)/mx

### Constants included from CodeObjects

CodeObjects::BUILTIN_ALL, CodeObjects::BUILTIN_CLASSES, CodeObjects::BUILTIN_EXCEPTIONS, CodeObjects::BUILTIN_EXCEPTIONS_HASH, CodeObjects::BUILTIN_MODULES, CodeObjects::CONSTANTMATCH, CodeObjects::CONSTANTSTART, CodeObjects::CSEP, CodeObjects::CSEPQ, CodeObjects::ISEP, CodeObjects::ISEPQ, CodeObjects::METHODMATCH, CodeObjects::METHODNAMEMATCH, CodeObjects::NAMESPACEMATCH, CodeObjects::NSEP, CodeObjects::NSEPQ

## Method Summary

### Methods included from HandlerMethods

#handle_alias, #handle_attribute, #handle_class, #handle_constants, #handle_method, #handle_module

### Methods included from YARD::Handlers::Common::MethodHandler

#add_predicate_return_tag

### Methods included from CodeObjects::NamespaceMapper

#clear_separators, #default_separator, on_invalidate, #register_separator, #separators, #separators_for_type, #separators_match, #types_for_separator, #unregister_separator_by_type